<div class="sub-block {% if thesis is null or (thesis is not null and thesis.type == 'default') %} {% set currentThesis = thesis %} sub-block_active {% endif %}" data-thesis-type="default">
    <div class="sub-block__title">
        <p class="sub-block__name">Content</p>
        <p class="sub-block__description">Add thesis text, image, script</p>
    </div>
    <div class="form__item">
        <label for="title" class="form__label">Title</label>
        <input id="title" type="text" class="form__input" name="title" {% if currentThesis is defined and currentThesis is not null %} value="{{ currentThesis.title }}" {% endif %}/>
    </div>
    <div class="form-item-container form-wrapper list-elements">
        {% if currentThesis is defined and currentThesis is not null %}
            {% set withItemMenu = true %}
            {% for contentItem in currentThesis.content %}
                {% if contentItem.type == 'text' %}
                    {% include 'admin/views/content_type/text_element.html.twig' with {'contentId': contentItem.id, 'text': contentItem.content.text} %}
                {% elseif contentItem.type == 'bash'%}
                    {% include 'admin/views/content_type/bash_element.html.twig' with {'contentId': contentItem.id, 'command': contentItem.content.command} %}
                {% elseif contentItem.type == 'css' %}
                    {% include 'admin/views/content_type/css_element.html.twig' with {'contentId': contentItem.id, 'styles': contentItem.content.style} %}
                {% elseif contentItem.type == 'php' %}
                    {% include 'admin/views/content_type/php_element.html.twig' with {'contentId': contentItem.id, 'code': contentItem.content.code} %}
                {% elseif contentItem.type == 'html' %}
                    {% include 'admin/views/content_type/html_element.html.twig' with {'contentId': contentItem.id, 'code': contentItem.content.code} %}
                {% endif %}
            {% endfor %}
        {% endif %}
    </div>
    <div class="form__item">
        <p class="form__label">Select content block type:</p>
        <div>
            <select id="content-selector" class="form__select select-content">
                <option value="text">Text</option>
                <option value="bash">Bash</option>
                <option value="php">PHP</option>
                <option value="html">HTML</option>
                <option value="css">CSS</option>
            </select>
            <button class="form__btn btn-green btn-add-content">Add Content</button>
        </div>
    </div>
</div>